Subject: Re: bug#642: 23.0.60;garbled text (wrong font?) in About GNU Emacs screen

From: Jason Rumney <[email-masked]>
Date: Sun, 23 Nov 2008 23:22:27 +0800

Drew Adams wrote:
> Here is some more info about this.
>   

> The display shows problems with font families Times and Helvetica. I use the
> standard Times and Helvetica Type1 fonts on Windows XP. E.g., the Times Roman
> font file is named TIR_____.PFM; the Helvetica file is HV_____.PFM.
>   

Thanks for your extra information.  I think this is related to the fact 
that the Uniscribe font backend can only use opentype and truetype 
fonts, but Windows by default defines font substitutions for Helvetica 
and Times to map to the Truetype fonts "Arial" and "Times New Roman". So 
the uniscribe backend picks these substitutes up, but somehow things get 
confused so the Type-1 fonts end up being loaded. I've added some code 
to specifically reject these substitutes, which are detected by 
comparing the font's "full name" with the name used to load it. 
Unfortunately this also catches many legitimate fonts, so I've had to 
pick out these two specific problematic substitutions. If there are any 
other specific fonts that cause this problem, then we will need to add 
rules for them too.